Arduino

Reference Language | Libraries | Comparison | Changes

## isAlphaNumeric(thisChar)

#### Description

Analyse if a char is alphanumeric.

#### Parameters

thisChar: the char to be analysed.

#### Returns

True or false.

## isAlpha(thisChar)

#### Description

Analyse if a char is is alpha.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isAscii(thisChar)

#### Description

Analyse if a char is ASCII.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isWhitespace(thisChar)

#### Description

Analyse if a char is a white space.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isControl(thisChar)

#### Description

Analyse if a char is a control character.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isDigit(thisChar)

#### Description

Analyse if a char is a digit.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isGraph(thisChar)

#### Description

Analyse if a char is a printable character.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isLowerCase(thisChar)

#### Description

Analyse if a char is a lower case character.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isPrintable(thisChar)

#### Description

Analyse if a char is a printable character.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isPunct(thisChar)

#### Description

Analyse if a char is punctuation character.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isSpace(thisChar)

#### Description

Analyse if a char is a space character.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isUpperCase(thisChar)

#### Description

Analyse if a char is an upper case character.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

## isHexadecimalDigit(thisChar)

#### Description

Analyse if a char is a valid hexadecimal digit.

#### Parameters

thisChar: the char to be analysed

#### Returns

True or false.

#### Examples

/*
Character analysis operators
Examples using the character analysis operators.
Send any byte and the sketch will tell you about it.
created 29 Nov 2010
modified 2 Apr 2012
by Tom Igoe
This example code is in the public domain.
*/
void setup() {
// Open serial communications and wait for port to open:
Serial.begin(9600);
while (!Serial) {
; // wait for serial port to connect. Needed for native USB port only
}
// send an intro:
Serial.println("send any byte and I'll tell you everything I can about it");
Serial.println();
}
void loop() {
// get any incoming bytes:
if (Serial.available() > 0) {
int thisChar = Serial.read();
// say what was sent:
Serial.print("You sent me: \'");
Serial.write(thisChar);
Serial.print("\' ASCII Value: ");
Serial.println(thisChar);
// analyze what was sent:
if (isAlphaNumeric(thisChar)) {
Serial.println("it's alphanumeric");
}
if (isAlpha(thisChar)) {
Serial.println("it's alphabetic");
}
if (isAscii(thisChar)) {
Serial.println("it's ASCII");
}
if (isWhitespace(thisChar)) {
Serial.println("it's whitespace");
}
if (isControl(thisChar)) {
Serial.println("it's a control character");
}
if (isDigit(thisChar)) {
Serial.println("it's a numeric digit");
}
if (isGraph(thisChar)) {
Serial.println("it's a printable character that's not whitespace");
}
if (isLowerCase(thisChar)) {
Serial.println("it's lower case");
}
if (isPrintable(thisChar)) {
Serial.println("it's printable");
}
if (isPunct(thisChar)) {
Serial.println("it's punctuation");
}
if (isSpace(thisChar)) {
Serial.println("it's a space character");
}
if (isUpperCase(thisChar)) {
Serial.println("it's upper case");
}
if (isHexadecimalDigit(thisChar)) {
Serial.println("it's a valid hexadecimaldigit (i.e. 0 - 9, a - F, or A - F)");
}
// add some space and ask for another byte:
Serial.println();
Serial.println("Give me another byte:");
Serial.println();
}
}
[Get Code]

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- About us
- Careers